---
title: "POST /_system/blueprintvalidation - Blueprint Validation · RUAL Documentation"
description: "Create new blueprint validation rule"
canonical: https://docs.rual.nl/cluster/api/blueprint-validation/system-blueprintvalidation-post
language: en
---

# POST /_system/blueprintvalidation

Create new blueprint validation rule

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **message** optional | `string` | `"ok"` | Validation message |
| **parameters** required | `object` | `{ "order_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc", "retries": 0 }` | Rule parameters |
| **rule_type** required | `string` | `"term"` | Validation rule type |
| **severity** optional | `string` | `"error"` | Allowed: `"error"`, `"warning"`, `"info"` |

```
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "message": "ok",
  "parameters": {
    "order_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "retries": 0
  },
  "rule_type": "term",
  "severity": "error"
}
```

```
{
  "error": "ERROR_KEY"
}
```

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintvalidation_create` | Required scope: blueprintvalidation_create |
